## com.google.gwt.core.ext.typeinfo
Class JArrayType

    java.lang.Object
      com.google.gwt.core.ext.typeinfo.JType
          com.google.gwt.core.ext.typeinfo.JArrayType

    public class JArrayType

extends JType

Type representing a Java array.

Method Summary
`JType` `getComponentType()`
`java.lang.String` `getJNISignature()`
`JType` `getLeafType()`
`java.lang.String` `getParameterizedQualifiedSourceName()`
`java.lang.String` `getQualifiedSourceName()`
`int` `getRank()`
`java.lang.String` `getSimpleSourceName()`
`JArrayType` `isArray()`
`JClassType` `isClass()`
`JClassType` `isInterface()`
`JParameterizedType` `isParameterized()`
`JPrimitiveType` `isPrimitive()`
`void` `setLeafType(JType type)`
`java.lang.String` `toString()`

Methods inherited from class com.google.gwt.core.ext.typeinfo.JType
`isClassOrInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getComponentType

    public JType getComponentType()

### getJNISignature

    public java.lang.String getJNISignature()

  Specified by:
    `getJNISignature` in class `JType`

### getLeafType

    public JType getLeafType()

  Overrides:
    `getLeafType` in class `JType`

### getParameterizedQualifiedSourceName

    public java.lang.String getParameterizedQualifiedSourceName()

  Overrides:
    `getParameterizedQualifiedSourceName` in class `JType`

### getQualifiedSourceName

    public java.lang.String getQualifiedSourceName()

  Specified by:
    `getQualifiedSourceName` in class `JType`

### getRank

    public int getRank()

### getSimpleSourceName

    public java.lang.String getSimpleSourceName()

  Specified by:
    `getSimpleSourceName` in class `JType`

### isArray

    public JArrayType isArray()

  Specified by:
    `isArray` in class `JType`

### isClass

    public JClassType isClass()

  Specified by:
    `isClass` in class `JType`

### isInterface

    public JClassType isInterface()

  Specified by:
    `isInterface` in class `JType`

### isParameterized

    public JParameterizedType isParameterized()

  Specified by:
    `isParameterized` in class `JType`

### isPrimitive

    public JPrimitiveType isPrimitive()

  Specified by:
    `isPrimitive` in class `JType`

### setLeafType

    public void setLeafType(JType type)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`